Description

I tried to change the mac-address of a host in foreman and got the error:

Failed to set the DHCP record: Record 192.168.1.0/192.168.1.121 already exists

now the dhcp-entry exists correctly but the foreman-db has still got the old mac-address and doesn't let me change it.

History

#1 - 07/11/2011 03:15 AM - Ohad Levy

- Status changed from New to Need more information

does it happen with any mac address? or just ones that were already exists in your subnet?

can you provide the relevant proxy and foreman logs?

thanks

#2 - 07/13/2011 04:11 AM - Alexander Rusa

It happens with any MAC-Address, and the problem is, that foreman didn't delete the DHCP-Lease for the 192.168.1.121/OLDMAC and tried to create

192.168.1.121/NEWMAC.

After manually deleting the entry from the dhcp-lease-file it worked.

#3 - 07/14/2011 03:16 AM - Alexander Rusa

Processing HostsController#update (for 10.0.0.254 at 2011-07-14 09:13:16) [PUT]

  Parameters: {"commit"=>"Submit", "action"=>"update", "_method"=>"put", "authenticity_token"=>"PsiSHvJtL1ULX/

Vn01Zh6P5Zg9n++OZf0y9YNOPz5XE=", "id"=>"web201.....com", "controller"=>"hosts", "host"=>{"comment"=>"", "archi

tecture_id"=>"1", "subnet_id"=>"1", "managed"=>"1", "puppetproxy_id"=>"1", "name"=>"web201", "puppetmaster_nam

e"=>"master...", "mac"=>"00:25:90:13:b8:b7", "domain_id"=>"3", "enabled"=>"1", "root_pass"=>"[FILTERED]", "med

ium_id"=>"5", "hostgroup_id"=>"3", "is_owned_by"=>"1-Users", "ptable_id"=>"2", "ip"=>"192.168.1.121", "environ

ment_id"=>"1", "model_id"=>"4", "disk"=>"", "puppetclass_ids"=>[""], "operatingsystem_id"=>"2"}}

{admin}Delete the DHCP reservation for web201.....com/192.168.1.121

{admin}Add a DHCP reservation for web201.....com/192.168.1.121

Failed to set the DHCP record: Record 192.168.1.0/192.168.1.121 already exists

{admin}Add a DHCP reservation for web201.....com/192.168.1.121

failed to detect boot server: undefined method `bootServer' for nil:NilClass

Failed to set the DHCP record: Record 192.168.1.0/192.168.1.121 already exists

Rendering template within layouts/application

Rendering hosts/edit

Completed in 969ms (View: 330, DB: 61) | 200 OK [http://10.0.3.3/hosts/web201.....com]

#4 - 07/14/2011 04:04 AM - Alexander Rusa

- Status changed from Need more information to Closed

We can't reproduce why the MAC-Address in the foreman-db and in the lease where different (that was the problem).
#5 - 04/06/2012 05:18 AM - apoeleh apoeleh

production in a site budge. I was getting tired at pass as no utilize here at office. So was searching through few blogs and came crossways your

journal, large acquisition man I liked what you wrote Inspirational and rattling substantive.

love ecards

#6 - 04/12/2012 02:02 PM - apoeleh apoeleh

Rale nicely ignitor airman it contains structural noesis for me. I am prosperous to conceptualize your riches way of penning the canton. Now you add it

leisurely for me to iterate and obligate the trait. Consignment you for the playacting.

Best Pressure Washer
